Bug 483342 - ecryptfs-utils : Unowned directories
ecryptfs-utils : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ecryptfs-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Michael Halcrow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 15:47 EST by Michael Schwendt
Modified: 2009-04-01 06:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 06:50:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2009-01-30 15:47:53 EST
One or more directories are not included within this
package and/or its sub-packages:

=> ecryptfs-utils-69-3.fc11.src.rpm
=> ecryptfs-utils-python-69-3.fc11.i386 (rawhide-development-i386)
/usr/lib/python2.6/site-packages/ecryptfs-utils

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories

The script to find unowned directories is not complete yet, but
still quite usable: http://mschwendt.fedorapeople.org/dircheck-remote.py
$ ./dircheck-remote.py -r rawhide -n ^ecryptfs-utils
Comment 1 Michal Hlavinka 2009-02-02 06:50:39 EST
Thanks for pointing that out. Fixed.

Btw, it'd be good if you make your script working without repository - just with rpm file.
Comment 2 Michael Schwendt 2009-04-01 06:00:37 EDT
The repository metadata are needed to resolve the package's dependencies and check whether directories are provided in any packages in the dependency-chain. 

Noticing unowned directories in a .spec file is trivial (often), but without examining dependencies there would be false positives.

Note You need to log in before you can comment on or make changes to this bug.